/*
*  BackupDirDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef BackupDirDlgsH
#define BackupDirDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\FileCtrl.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetBackupDirectory(TForm *Owner, AnsiString InitialDir);

class TBackupDirDlg : public TForm
{
__published:	// IDE-managed Components
	TLabel *Label8;
	TLabel *Label7;
	TDirectoryListBox *DirectoryListBox1;
	TFileListBox *FileListBox1;
	TLabel *Label9;
	TDriveComboBox *DriveComboBox1;
	TButton *OkBtn;
	TButton *CancelBtn;
	void __fastcall FileListBox1Click(TObject *Sender);
	
	
private:	// User declarations
public:		// User declarations
	__fastcall TBackupDirDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TBackupDirDlg *BackupDirDlg;
//---------------------------------------------------------------------------
#endif
