/*
*  ClipReply.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef ClipReplyH
#define ClipReplyH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include "nymmail.h"
#include "headman.h"
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
AnsiString __fastcall GetTemplateName(AnsiString &Caption, int mode);
AnsiString __fastcall GetMergeMessage(AnsiString &Caption, int mode);

void __fastcall ClipboardReply(bool UseDialog);
void __fastcall ReplyToMessage(TStrings *Message, AnsiString &TemplateName,
   AnsiString &InReplyTo);
void __fastcall ClipboardFollowup(bool UseDialog);
void __fastcall FollowupArticle(TStrings *Article, AnsiString &TemplateName, bool reply2);
void __fastcall FollowupPost(TStrings *Article, TStrings *Template,
   THeaderManager *TmpMan, bool reply2);

const int modeMessage = 0;
const int modeArticle = 1;
//moved modeNymcnfg to nymmail.h
//const int modeNymcnfg = 2;
const AnsiString TempFollowupsChecked = "TempFollowupsChecked";
const AnsiString TempRepliesChecked = "TempRepliesChecked";

class TMergeForm : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPanel *Panel1;
  TLabel *Label1;
  TCheckBox *FilterBox;
  TButton *HelpBtn;
  TLabel *Label2;
  TLabel *Label3;
        TListView *ListView;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  
  
  
  void __fastcall FormShow(TObject *Sender);
  void __fastcall FilterBoxClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
        void __fastcall ListViewDblClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  int mode;
  TStringList *Templates;
  AnsiString TemplateName;
  __fastcall TMergeForm(TComponent* Owner);
  __fastcall virtual ~TMergeForm();
  void __fastcall FilterTemplates(bool filter);
};
//---------------------------------------------------------------------------
extern TMergeForm *MergeForm;
//---------------------------------------------------------------------------
#endif
