/*
*  DefChainsDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "DefChainsDlgs.h"
#include "HelpDlgs.h"
#include "FileMan.h"
#include "Global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TDefChainsDlg *DefChainsDlg;
//---------------------------------------------------------------------------

const AnsiString defchainsmsg = "\
QuickSilver comes to you with default message, article, and templates \
setup with mixmaster chains of 2 remailers. This will provide you with light \
security as well as excellent reliability of delivery. This chain is \
appropriate for the vast majority of QS users. However, you may have higher \
security requirements and need to increase the length of your chains. \
Please See Help for a more detailed explanation.";

//---------------------------------------------------------------------------
void __fastcall ExplainDefChains(TForm *Owner)
{
   if (GetAppIni("DoDefChainsDlg","")=="") return;
   AppProcessMessages(); Sleep(200);
   DefChainsDlg = new TDefChainsDlg(Owner);
   DefChainsDlg->ShowModal();
   if (DefChainsDlg->StopBox->Checked) PutAppIni("DoDefChainsDlg","");
   delete DefChainsDlg;
}
//---------------------------------------------------------------------------
__fastcall TDefChainsDlg::TDefChainsDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
   RichEdit1->Lines->Text = defchainsmsg;
}
//---------------------------------------------------------------------------
void __fastcall TDefChainsDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("MixmasterChains","","");
}
//---------------------------------------------------------------------------
