/*
*  MixDupChnDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixDupChnDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixDupChnDlg *MixDupChnDlg;
//---------------------------------------------------------------------------
bool __fastcall HasDuplicateMixChainsAfterEncrypt(TForm *Owner, TStrings *chains,
   bool &cancel, int tries)
{
   AnsiString chain; int idx;
   TStringList *dups = new TStringList();
   TStringList *Chains = new TStringList();
   Chains->AddStrings(chains);

   //static int x = 0;
   while (Chains->Count)
   {
      chain = Chains->Strings[0];
      Chains->Delete(0);

      if (Chains->IndexOf(chain) >= 0)
      {
         if (dups->IndexOf(chain) < 0) dups->Add(chain);

         while ((idx = Chains->IndexOf(chain)) >= 0)
            Chains->Delete(idx);
      }
   }

   delete Chains;

   if (dups->Count) //|| x == 0)
   {
      if (tries >= DupRetries)
      {
         AnsiString chns; int c = dups->Count;

         for (int i=0; i<dups->Count; i++)
            chns += "\n "+dups->Strings[i];

         MixDupChnDlg = new TMixDupChnDlg(AppMainForm);
         MixDupChnDlg->Msg->Lines->Text =

            s("The remailer chains mixmaster has chosen for you contain ")+
            s(c) + " chain" + s(c > 1 ? "s" : "") + " that " + s(c > 1 ? "are" : "is") +
            s(" duplicated. This situation is not ideal. I'll have mix encrypt") +
            s(" the message again. Ok?\n\nNOTE: If you encouter this problem repeatedly on") +
            s(" a single send, it is likely there are insufficient remailers for") +
            s(" the number of messages created, or some such. I suggest you allow") +
            s(" the send to continue. It is likely the best you will get.\n") +
            s(chns);

         MixDupChnDlg->Msg->SelStart = 0;
         MixDupChnDlg->Msg->Perform(EM_SCROLLCARET,0,0);
         MixDupChnDlg->ShowModal();
         cancel = MixDupChnDlg->ModalResult == mrCancel;
         bool no = MixDupChnDlg->ModalResult == mrNo;
         delete MixDupChnDlg;

      if (no)
         return false;
      }
      return true;
   }

   return false;
}
//---------------------------------------------------------------------------
__fastcall TMixDupChnDlg::TMixDupChnDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------






