/*
*  MixKeyImpDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef MixKeyImpDlgsH
#define MixKeyImpDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
#include <vcl\Menus.hpp>
#include <vcl\Dialogs.hpp>
#include "MixKeyWins2.h"
//---------------------------------------------------------------------------
bool __fastcall ImportMixmasterKeys(TForm *Owner, TMixKeyList2 *keylist, TMixKeyList2 *ImpKeys,
   TMixKeyList2 *DupKeys,AnsiString &ImportDir);

class TMixKeyImpDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TSpeedButton *ClipBtn;
	TSpeedButton *FileBtn;
	TListBox *ListBox1;
	TRichEdit *RichEdit1;
	TComboBox *ComboBox1;
	TButton *ImportBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	TTimer *Timer1;
	TPopupMenu *PopupMenu1;
	TMenuItem *PopDeleteItem;
	TOpenDialog *OpenDialog;
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall ClipBtnClick(TObject *Sender);
	void __fastcall FileBtnClick(TObject *Sender);
	void __fastcall Timer1Timer(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    int flash;
    AnsiString *impdir,cap,nokeysfoundatall;
    TMixKeyList2 *keylist,*implist,*duplist,*dislist;
	__fastcall TMixKeyImpDlg(TComponent* Owner);
    __fastcall TMixKeyImpDlg(TComponent* Owner, TMixKeyList2 *Keylist, TMixKeyList2 *ImpKeys,
      TMixKeyList2 *DupKeys, AnsiString &ImportDir);
    __fastcall ~TMixKeyImpDlg();
    void __fastcall ImportKeys(AnsiString Name, AnsiString Ascii);
};
//---------------------------------------------------------------------------
extern TMixKeyImpDlg *MixKeyImpDlg;
//---------------------------------------------------------------------------
#endif
