/*
*  MixProbExpDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MixProbExpDlgs.h"
#include "helpdlgs.h"
#include "FileMan.h"
#include "global.h"
const AnsiString ShowCantClose = "ShowMixProbsNoClose";
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMixProbExpDlg *MixProbExpDlg;
//---------------------------------------------------------------------------

bool __fastcall ExplainMixProblemWinCantClose(TForm *Owner)
{
   if (GetAppIni(ShowCantClose,"1")=="0") return false;
   MixProbExpDlg = new TMixProbExpDlg(Owner);
   MixProbExpDlg->ShowModal();
   bool showmore=!MixProbExpDlg->StopBox->Checked;
   delete MixProbExpDlg;
   if (!showmore) PutAppIni(ShowCantClose,"0");
   return showmore;
}
//---------------------------------------------------------------------------

__fastcall TMixProbExpDlg::TMixProbExpDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,(TForm*)Owner);
   MyBeep(0);
}
//---------------------------------------------------------------------------

void __fastcall TMixProbExpDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("MixmasterKeysDup","Duplicate Key Manager","");
}
//---------------------------------------------------------------------------
