/*
*  MsgTooBigDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef MsgTooBigDlgsH
#define MsgTooBigDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------

bool __fastcall CheckExitRemailerKlen(TForm *Owner, AnsiString chain, int msgsize);

class TMessageTooBigDlg : public TForm
{
__published:	// IDE-managed Components
        TLabel *Label1;
        TBevel *Bevel1;
        TRichEdit *RichEdit1;
        TButton *OkBtn;
        TLabel *Label2;
        TButton *CancelBtn;
        TButton *PrintBtn;
        void __fastcall PrintBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TMessageTooBigDlg(TComponent* Owner);
        __fastcall TMessageTooBigDlg::TMessageTooBigDlg(TComponent* Owner, const AnsiString &Remailer,
           int MsgSize, int MaxSize);
        __fastcall TMessageTooBigDlg::TMessageTooBigDlg(TComponent* Owner, const AnsiString &Remailer,
           int MsgSize);
};

int __fastcall GetRlistRemailerKlen(TStrings *rlist, const AnsiString &remailer);
TStringList* __fastcall GetRlistCapsStrings(const AnsiString &rlisttxt);
AnsiString __fastcall GetExitRemailer(AnsiString &chain);
bool __fastcall CheckRlistIsCpunkOnly(TStrings *rlist);


//---------------------------------------------------------------------------
extern TMessageTooBigDlg *MessageTooBigDlg;
//---------------------------------------------------------------------------
#endif
