/*
*  OpenDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef OpenDlgsH
#define OpenDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
class TOpenDlg : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TListBox *ItemsBox;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	TComboBox *LookinBox;
private:	// User declarations
public:		// User declarations
	__fastcall TOpenDlg(TComponent* Owner);
    int __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TOpenDlg *OpenDlg;
//---------------------------------------------------------------------------
#endif
