/*
*  SMTPPassDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef SMTPPassDlgsH
#define SMTPPassDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
bool __fastcall SMTPGetHostUidPassword(TForm *Owner, AnsiString &Host,
   AnsiString &UserId, AnsiString &Password);

class TSMTPPassDlg : public TForm
{
__published:	// IDE-managed Components
	TEdit *Host;
	TEdit *Password;
	TButton *OkBtn;
	TButton *CancelBtn;
	TLabel *Label1;
	TLabel *Label2;
	TCheckBox *HideType;
	TEdit *Userid;
	TLabel *Label3;
	void __fastcall HideTypeClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall FormShow(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TSMTPPassDlg(TComponent* Owner);
    bool __fastcall DataModified();
    bool __fastcall DataIsEmpty();
};
//---------------------------------------------------------------------------
extern TSMTPPassDlg *SMTPPassDlg;
//---------------------------------------------------------------------------
#endif
