/*
*  TestPGPBufs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "global.h"
#include "TestPGPBufs.h"
#include "pgpbuffers.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TTestPGPBufDlg *TestPGPBufDlg;
const AnsiString komitekey = "nymserver\\_komite.asc";
//---------------------------------------------------------------------------

void __fastcall OpenPGPBufTester(TForm *Owner)
{
   TestPGPBufDlg = new TTestPGPBufDlg(Owner);
   TestPGPBufDlg->ShowModal();
   delete TestPGPBufDlg;
}
//---------------------------------------------------------------------------

__fastcall TTestPGPBufDlg::TTestPGPBufDlg(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TTestPGPBufDlg::Button1Click(TObject *Sender)
{
   TPGPbuffer *buf = new TPGPbuffer();
   TStringList *asciikey = new TStringList();
   if (FileExists(komitekey))
      asciikey->LoadFromFile(komitekey);
   viewer->Lines->AddStrings(asciikey);
   Snooze(500);
   buf->import(asciikey);
sm(buf->firstuid);

   delete asciikey;
   delete buf;
}
//---------------------------------------------------------------------------
