/*
*  UrlsDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef UrlsDlgsH
#define UrlsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall ManageURLs(TForm *Owner, bool Mixmaster); // manage mix ? or cpunk

class TUrlsDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OkBtn;
  TButton *CancelBtn;
  TPageControl *PageControl1;
  TTabSheet *TabSheet1;
  TTabSheet *TabSheet2;
  TTabSheet *TabSheet3;
  TTabSheet *TabSheet4;
  TTabSheet *TabSheet5;
  TMemo *Memo1;
  TMemo *Memo2;
  TMemo *Memo3;
  TMemo *Memo4;
  TMemo *Memo5;
  TLabel *Label2;
  TButton *HeplBtn;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall PageControl1Change(TObject *Sender);
  void __fastcall MemoDblClick(TObject *Sender);
  void __fastcall HeplBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  bool SavedURLs;
  __fastcall TUrlsDlg(TComponent* Owner);
  void __fastcall SetDefaultUrlFromCursor(TMemo *memo);
  void __fastcall SaveDocURLs(AnsiString &DocName, TStrings *URLs);
  bool __fastcall URLsModified();
  void __fastcall SaveURLs();
  bool __fastcall Execute();
};
//---------------------------------------------------------------------------
extern TUrlsDlg *UrlsDlg;
//---------------------------------------------------------------------------
#endif
