# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj ImageMods.obj MainMDI.obj TextWins.obj NoteWins.obj \
   FileWin.obj RptWin.obj MsgWins.obj MsgInWin.obj PGPpassEx.obj PackDlg.obj \
   PrintDlgs.obj AddressDlgs.obj OldOpenDlg.obj AboutDlgs.obj SaveDlg.obj \
   GetStrtDlg.obj WaitDlg.obj ClipReply.obj DirBrow.obj RemailerDlgs.obj \
   HttpProxyDlgs.obj UrlsDlgs.obj NewNameDlgs.obj MixDlgs.obj MixInstDlg.obj \
   UPDUnzipDlg.obj UPDateDlg.obj UPDedDlg.obj OpenDlgs.obj MailboxDlgs.obj \
   AddrEditDlgs.obj OptionsDlgs.obj HelpTopicsDlgs.obj DocMsgDlg.obj \
   DelDocsDlg.obj View.obj PickBoxDlgs.obj QueueDlgs.obj WelcomeDlgs.obj \
   FirstDocsDlgs.obj PgpKeyWins.obj QSMsgBoxDlgs.obj FindDlgs.obj MailboxWins.obj \
   WipeDlgs.obj Follow2PostDlgs.obj SecUrgentDlgs.obj SMTPAuthDlgs.obj \
   SMTPPassDlgs.obj SmtpDlgs.obj CpkKeyClrDlgs.obj CpkKeyDelDlgs.obj \
   MixProbExpDlgs.obj KeyringWins.obj KeyringClrDlgs.obj KeyringDelDlgs.obj \
   MixKeyWins2.obj MixKeyImpDlgs.obj MixProbWins2.obj DefChainsDlgs.obj \
   InfoTestManDlgs.obj RemailerCfgDlgs.obj CpkKeyWins2.obj CpkKeyImpDlgs.obj \
   BackupDlgs.obj MsgBoxDlgs.obj UPDHistDlgs.obj MimeEncodeDlgs.obj \
   BackupDirDlgs.obj BackupCpyDlgs.obj MailPoolDlgs.obj Mail2DiskDlgs.obj \
   Mail2ExplDlgs.obj BarredRemsDlgs.obj MailHasMIMEDlgs.obj OptsAdvPGPDlgs.obj \
   NymWins.obj PgpKeyImpDlgs.obj pgpkeyexpdlgs.obj NymEditDlgs.obj MIMEman4.obj \
   HelpDlgs.obj DntAskDlgs.obj BackupThrds.obj TBUFFER.obj Mixmaster.obj \
   Fmxutils.obj QSver.obj Console.obj MixMsg.obj Cyberpunk.obj Pool.obj \
   CpkMsg.obj HeadMan.obj FileMan.obj pop3mail.obj pgpmail.obj nymmail.obj \
   newsmail.obj PgpFiles.obj PGPbuffers.obj Global.obj NymRepBlks.obj \
   MIMEmanEnc.obj MIMEmanDec.obj BrokeChnDlgs.obj MixDupChnDlgs.obj \
   MsgTooBigDlgs.obj CodeRevDlgs.obj PgpNew.obj UPDFtpDlg.obj \
   RemShortNameDlgs.obj TestPGPBufs.obj NymDecDlgs2.obj HashCashDlgs.obj \
   HashCashM2NDlgs.obj NymRptsDlgs.obj
RESFILES = QS.res
RESDEPEN = $(RESFILES) ImageMods.dfm MainMDI.dfm TextWins.dfm NoteWins.dfm \
   FileWin.dfm RptWin.dfm MsgWins.dfm MsgInWin.dfm PGPpassEx.dfm PackDlg.dfm \
   PrintDlgs.dfm AddressDlgs.dfm OldOpenDlg.dfm AboutDlgs.dfm SaveDlg.dfm \
   GetStrtDlg.dfm WaitDlg.dfm ClipReply.dfm DirBrow.dfm RemailerDlgs.dfm \
   HttpProxyDlgs.dfm UrlsDlgs.dfm NewNameDlgs.dfm MixDlgs.dfm MixInstDlg.dfm \
   UPDUnzipDlg.dfm UPDateDlg.dfm UPDedDlg.dfm OpenDlgs.dfm MailboxDlgs.dfm \
   AddrEditDlgs.dfm OptionsDlgs.dfm HelpTopicsDlgs.dfm DocMsgDlg.dfm \
   DelDocsDlg.dfm View.dfm PickBoxDlgs.dfm QueueDlgs.dfm WelcomeDlgs.dfm \
   FirstDocsDlgs.dfm PgpKeyWins.dfm QSMsgBoxDlgs.dfm FindDlgs.dfm MailboxWins.dfm \
   WipeDlgs.dfm Follow2PostDlgs.dfm SecUrgentDlgs.dfm SMTPAuthDlgs.dfm \
   SMTPPassDlgs.dfm SmtpDlgs.dfm CpkKeyClrDlgs.dfm CpkKeyDelDlgs.dfm \
   MixProbExpDlgs.dfm KeyringWins.dfm KeyringClrDlgs.dfm KeyringDelDlgs.dfm \
   MixKeyWins2.dfm MixKeyImpDlgs.dfm MixProbWins2.dfm DefChainsDlgs.dfm \
   InfoTestManDlgs.dfm RemailerCfgDlgs.dfm CpkKeyWins2.dfm CpkKeyImpDlgs.dfm \
   BackupDlgs.dfm MsgBoxDlgs.dfm UPDHistDlgs.dfm MimeEncodeDlgs.dfm \
   BackupDirDlgs.dfm BackupCpyDlgs.dfm MailPoolDlgs.dfm Mail2DiskDlgs.dfm \
   Mail2ExplDlgs.dfm BarredRemsDlgs.dfm MailHasMIMEDlgs.dfm OptsAdvPGPDlgs.dfm \
   NymWins.dfm PgpKeyImpDlgs.dfm pgpkeyexpdlgs.dfm NymEditDlgs.dfm MIMEman4.dfm \
   HelpDlgs.dfm DntAskDlgs.dfm BrokeChnDlgs.dfm MixDupChnDlgs.dfm \
   MsgTooBigDlgs.dfm CodeRevDlgs.dfm PgpNew.dfm UPDFtpDlg.dfm \
   RemShortNameDlgs.dfm TestPGPBufs.dfm NymDecDlgs2.dfm HashCashDlgs.dfm \
   HashCashM2NDlgs.dfm NymRptsDlgs.dfm
LIBFILES = zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -DPGP_WIN32 \
   -I$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DPGP_WIN32 \
   -U$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -I$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -DPGP_WIN32 \
   -i$(BCB)\include;$(BCB)\include\vcl;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn 
LFLAGS = -L$(BCB)\lib;$(BCB)\lib\obj;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\3rdparty\explbtn \
   -S:0x7530 -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

