/*
*  BrokeChnDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef BrokeChnDlgsH
#define BrokeChnDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
bool __fastcall CheckBrokenChainDialog(TForm *Owner, AnsiString &Text);

bool __fastcall GetBrokenMixChains(TStrings *ToStrings);
bool __fastcall HasBrokenMixChain(TForm *Owner, TStrings *msg);
bool __fastcall HasBrokenMixChainAfterEncrypt(TForm *Owner, TStrings *chains,
   bool &cancel, int tries);

class TBrokeChnDlg : public TForm
{
__published:	// IDE-managed Components
	TRichEdit *Msg;
	TButton *YesBtn;
	TButton *NoBtn;
	void __fastcall CancelBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TBrokeChnDlg(TComponent* Owner);
};

//---------------------------------------------------------------------------
extern TBrokeChnDlg *BrokeChnDlg;
const int BrokeRetries = 10;  // set same as MixDupChnDlgs DupRetries
//---------------------------------------------------------------------------
#endif
