/*
*  CpkMsg.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef CpkMsgH
#define CpkMsgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include "headman.h"
//---------------------------------------------------------------------------
class TCpkMessage
{
private:
   long __fastcall CpkMessage(TStrings *Message, AnsiString &Chain, int copies,
      TStringList *Feedback);
protected:
public:
   int Copies;
   AnsiString Msg;
   TStrings *display;
   bool Finished,Cancelled;
   AnsiString From,Host,Chain;
   THeaderManager *HeadMan;
   TStringList *Message,*Feedback;
   __fastcall TCpkMessage(TStringList *message, TStrings *aDisplay, TStringList *Feedback);
   __fastcall~TCpkMessage();
   long __fastcall Execute();
};

//---------------------------------------------------------------------------
#endif
