/*
*  DntAskDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef DntAskDlgsH
#define DntAskDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
#include "MsgBoxDlgs.h"
//---------------------------------------------------------------------------
int __fastcall DontShowNoPop3HasInbox(TForm *Owner);
int __fastcall DontShowFailedErrorCheck(TForm *Owner);
int __fastcall DontShowGoKnownProblemsAgain(TForm *Owner);
int __fastcall DontShowGoLinksAgain(TForm *Owner);


class TDntAskDlg : public TMsgBoxDialog
{
__published:	// IDE-managed Components
	TCheckBox *DontAskBox;
private:	// User declarations
public:		// User declarations
   __fastcall virtual TDntAskDlg(TComponent* Owner);
   __fastcall virtual TDntAskDlg(TComponent* Owner, AnsiString &message,
      AnsiString &caption, UINT type);
};

int __fastcall DontShowAgainBox(TForm *Owner, AnsiString DontAskKey, AnsiString Message,
   AnsiString Caption, UINT Type);

#define MB_BING MB_ICONASTERISK
#define APPDONTASKKEY "dontaskagain"
//---------------------------------------------------------------------------
extern TDntAskDlg *DntAskDlg;
//---------------------------------------------------------------------------
#endif
