/*
*  GetStrtDlg.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef GetStrtDlgH
#define GetStrtDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall GetStarted(AnsiString &quickstartdoc);

class TGetStartWin : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TSpeedButton *SpeedButton2;
  TRichEdit *Editor;
  TSpeedButton *SpeedButton1;
  void __fastcall SpeedButton1Click(TObject *Sender);
  void __fastcall SpeedButton2Click(TObject *Sender);
  void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
  void __fastcall FormResize(TObject *Sender);
  void __fastcall FormPaint(TObject *Sender);
private:	// User declarations
public:		// User declarations
  virtual __fastcall TGetStartWin(TComponent* Owner);
  virtual __fastcall TGetStartWin(TComponent* Owner, AnsiString &DocumentRtf);
  void __fastcall SetEditRect();
};
//---------------------------------------------------------------------------
extern TGetStartWin *GetStartWin;
//---------------------------------------------------------------------------
#endif
