/*
*  HelpTopicsDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef HelpTopicsDlgsH
#define HelpTopicsDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall BrowseHelpTopics(TForm *Owner);
AnsiString __fastcall GetTopicFromHelpIndex(TForm *Owner);


class THelpTopicsDlg : public TForm
{
__published:	// IDE-managed Components
  TButton *OpenBtn;
  TButton *CloseBtn;
  TPageControl *PageControl1;
  TTabSheet *TabSheet1;
  TListBox *ListBox1;
  TLabel *Label1;
  TButton *HelpBtn;
  void __fastcall ListBox1DblClick(TObject *Sender);
  void __fastcall ListBox1Click(TObject *Sender);
  void __fastcall OpenBtnClick(TObject *Sender);
  void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
  __fastcall THelpTopicsDlg(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern THelpTopicsDlg *HelpTopicsDlg;
//---------------------------------------------------------------------------
#endif
