/*
*  KeyringDelDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "KeyringDelDlgs.h"
#include "helpdlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TKeyringDelDlg *KeyringDelDlg;
//---------------------------------------------------------------------------
bool __fastcall KeyringDeleteKey(TForm *Owner, AnsiString KeyringName)
{
   KeyringDelDlg = new TKeyringDelDlg(Owner,KeyringName);
   KeyringDelDlg->ShowModal();
   bool ok = KeyringDelDlg->ModalResult==mrOk;
   delete KeyringDelDlg;
   return ok;
}
//---------------------------------------------------------------------------
__fastcall TKeyringDelDlg::TKeyringDelDlg(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
__fastcall TKeyringDelDlg::TKeyringDelDlg(TComponent* Owner, AnsiString KeyringName)
	: TForm(Owner)
{
   if (!KeyringName.IsEmpty()) Label1->Caption = "Delete current "+KeyringName+" key?";
   CenterDialog(this,(TForm*)Owner);
   MyBeep(0);
}
//---------------------------------------------------------------------------
void __fastcall TKeyringDelDlg::HelpBtnClick(TObject *Sender)
{
   OpenHelp("RemailerKeyrings","Remailer Keyrings","Delete Key");
}
//---------------------------------------------------------------------------
