/*
*  MimeDecodeDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "MimeDecodeDlgs.h"
#include "HeadMan.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TMimeDecodeDlg *MimeDecodeDlg;
//---------------------------------------------------------------------------
bool __fastcall DetachMessageAttachments(TForm *Owner)
{
   MimeDecodeDlg = new TMimeDecodeDlg(Owner);
   MimeDecodeDlg->ShowModal();
   delete MimeDecodeDlg;
   return true;
}
//---------------------------------------------------------------------------
// TMIMEmessage
//---------------------------------------------------------------------------
__fastcall TMIMEmessage::TMIMEmessage(TStrings *Message)
{
   AddStrings(Message);
   GetFirstAttachment();
}
//---------------------------------------------------------------------------
__fastcall TMIMEmessage::~TMIMEmessage()
{
}
//---------------------------------------------------------------------------
bool __fastcall TMIMEmessage::HasAttachments()
{
}
//---------------------------------------------------------------------------
bool __fastcall TMIMEmessage::GetFirstAttachment()
{
   TStringList *content = new TStringList();
   bool gotline=false,donemore=false;
   AnsiString line,more,boundary;
   int i=-1; while(++i<Count)
   {
      line = Strings[i];
      if (line.Pos("Content-Type:")==1)
      {
         gotline==true;
         content->Add(line);
         while(++i<Count)
         {
            more = Strings[i];
            if (more.Pos(" ")==1 || more.Pos("\t"))
            {
               content->Add(more.Trim());
               continue;
            }
            donemore = true;
            break;
         }
      }
      if (donemore) break;
   }
view(content,content->Values[boundary]);
   delete content;
   return true;
}
//---------------------------------------------------------------------------
// TAttachmentList
//---------------------------------------------------------------------------
__fastcall TAttachmentList::TAttachmentList()
   : TStringList()
{
}
//---------------------------------------------------------------------------
__fastcall TAttachmentList::TAttachmentList(TStrings *message)
   : TStringList()
{
}
//---------------------------------------------------------------------------
__fastcall TAttachmentList::~TAttachmentList()
{
}
//---------------------------------------------------------------------------
//bool __fastcall TAttachmentList::getnextattachment(TStrings *attach, TStrings *message,
//   int &pos)
//{
//   return true;
//}
//---------------------------------------------------------------------------
// TAttachment
//---------------------------------------------------------------------------
__fastcall TAttachment::TAttachment()
   : TStringList()
{
}
//---------------------------------------------------------------------------
__fastcall TAttachment::~TAttachment()
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAttachment::Boundary()
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAttachment::SubBoundary()
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAttachment::EncodeMethod()
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAttachment::Filename()
{
}
//---------------------------------------------------------------------------
AnsiString __fastcall TAttachment::Header()
{
}
//---------------------------------------------------------------------------
//int __fastcall TAttachment::Size()
//{
//}
//---------------------------------------------------------------------------
// TMIMEDecodeDlgs
//---------------------------------------------------------------------------
__fastcall TMimeDecodeDlg::TMimeDecodeDlg(TComponent* Owner)
	: TForm(Owner)
{
   CenterDialog(this,Owner);
}
//---------------------------------------------------------------------------
void __fastcall TMimeDecodeDlg::FormShow(TObject *Sender)
{
   Timer1->Enabled = true;	
}
//---------------------------------------------------------------------------
