/*
*  RemailerCfgDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef RemailerCfgDlgsH
#define RemailerCfgDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
//---------------------------------------------------------------------------
void __fastcall PrepareRemailerConfigRequests(TForm *Owner, TStrings *remailers,
   AnsiString current);

class TRemailerCfgDlg : public TForm
{
__published:	// IDE-managed Components
	TComboBox *RemsBox;
	TLabel *Label1;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	TGroupBox *GroupBox1;
	TCheckBox *ConfigBox;
	TCheckBox *KeyBox;
	TCheckBox *HelpBox;
	TCheckBox *StatsBox;
        TCheckBox *AdminBox;
        TLabel *Label2;
	void __fastcall SomeBoxChange(TObject *Sender);
	void __fastcall OkBtnClick(TObject *Sender);
	void __fastcall HelpBtnClick(TObject *Sender);
        void __fastcall RemsBoxChange(TObject *Sender);
private:	// User declarations
public:		// User declarations
	__fastcall TRemailerCfgDlg(TComponent* Owner);
    void __fastcall MakeMessage(TStrings *message, AnsiString &subject);
    void __fastcall MakeMessageNymserverKey(TStrings *message);
    void __fastcall GenerateConfigMessages();
    bool __fastcall ConfigBoxChecked();
    bool __fastcall ValidAddress();
};
//---------------------------------------------------------------------------
extern TRemailerCfgDlg *RemailerCfgDlg;
//---------------------------------------------------------------------------
#endif
