/*
*  SMTPAuthDlgs.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef SMTPAuthDlgsH
#define SMTPAuthDlgsH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall ManageSMTPPasswords(TForm *Owner);

class TSMTPAuthDlg : public TForm
{
__published:	// IDE-managed Components
	TBevel *Bevel1;
	TButton *OkBtn;
	TButton *CancelBtn;
	TButton *HelpBtn;
	TListBox *HostList;
	TButton *NewBtn;
	TButton *EditBtn;
	TButton *DeleteBtn;
	TLabel *Label1;
	TPanel *Panel1;
	TLabel *Label2;
	void __fastcall HostListClick(TObject *Sender);
	void __fastcall NewBtnClick(TObject *Sender);
	void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
	void __fastcall EditBtnClick(TObject *Sender);
	void __fastcall DeleteBtnClick(TObject *Sender);
	void __fastcall FormShow(TObject *Sender);
	void __fastcall HostListDblClick(TObject *Sender);
	void __fastcall HostListDrawItem(TWinControl *Control, int Index, TRect &Rect,
	TOwnerDrawState State);
	void __fastcall HelpBtnClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
    bool modified;
	__fastcall TSMTPAuthDlg(TComponent* Owner);
	virtual __fastcall ~TSMTPAuthDlg();
};
//---------------------------------------------------------------------------
extern TSMTPAuthDlg *SMTPAuthDlg;
//---------------------------------------------------------------------------
#endif
