/*
*  TokImportDlgs.cpp
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "TokImportDlgs.h"
#include "global.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TTokImportDlg *TokImportDlg;
//---------------------------------------------------------------------------
bool __fastcall GetImportTokens(TForm *Owner, TStrings *Tokens, TColor txtColor)
{
   TokImportDlg = new TTokImportDlg(Owner);
   TokImportDlg->TokenList->Font->Color = txtColor;
   TokImportDlg->TokenList->Items->AddStrings(Tokens);
   for (int i=0; i<Tokens->Count; i++)
      TokImportDlg->TokenList->Selected[i] = true;
   TokImportDlg->ShowModal();
   Tokens->Clear();
   for (int i=0; i<TokImportDlg->TokenList->Items->Count; i++)
      if (TokImportDlg->TokenList->Selected[i]) Tokens->Add(TokImportDlg->TokenList->Items->Strings[i]);
   delete TokImportDlg;
   return Tokens->Count;
}
//---------------------------------------------------------------------------
__fastcall TTokImportDlg::TTokImportDlg(TComponent* Owner)
	: TForm(Owner)
{
   ComboBox1->ItemIndex = 0;
   CenterDialog(this,Owner);
   Top += 7;
}
//---------------------------------------------------------------------------
