/*
*  UseLibDlg.h
*  Copyright  1999-2005 by Richard Christman
*  ALL RIGHTS RESERVED
*
*  This source file is released for peer review purposes only. It is not public domain. 
*  Redistribution either in part or whole is forbidden. The sole source for QuickSilver 
*  distribution currently is http://quicksilvermail.net . You have permission to compile
*  this source for your own use.
*
*  Richard
*  --
*  R.Christman
*  quicksilver@quicksilvermail.net
*  http://quicksilvermail.net
*
*/
//---------------------------------------------------------------------------
#ifndef UseLibDlgH
#define UseLibDlgH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\FileCtrl.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\Menus.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
void __fastcall SaveUsenetArticle(TRichEdit *Article, TForm *Owner);

class TUsenetLibDlg : public TForm
{
__published:	// IDE-managed Components
  TPanel *Panel1;
  TEdit *Edit1;
  TFileListBox *FileListBox1;
  TEdit *Edit2;
  TLabel *Label1;
  TLabel *Label2;
  TButton *OkBtn;
  TButton *CancelBtn;
  TSpeedButton *SpeedButton1;
  TSpeedButton *SpeedButton2;
  TPopupMenu *PopupMenu1;
  TMenuItem *Open1;
  TMenuItem *Delete1;
  void __fastcall FormCloseQuery(TObject *Sender, bool &CanClose);
  void __fastcall Edit1Change(TObject *Sender);

  void __fastcall SpeedButton2Click(TObject *Sender);
  
  void __fastcall FileListBox1DblClick(TObject *Sender);

  void __fastcall Delete1Click(TObject *Sender);
  void __fastcall SpeedButton1Click(TObject *Sender);
private:	// User declarations
public:		// User declarations
  //TStringList *Article;
  TRichEdit *Article;
  __fastcall TUsenetLibDlg(TComponent* Owner);
  AnsiString __fastcall FileName();
  AnsiString __fastcall FilePath();
};
//---------------------------------------------------------------------------
extern TUsenetLibDlg *UsenetLibDlg;
//---------------------------------------------------------------------------
#endif
